Skip to main content
`Ctrl`+`K`

# DMLocalToGlobalEndDefaultShell

Uses the LocalToGlobal `VecScatter` context set by the user to end a local to global scatter Collective

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMLocalToGlobalEndDefaultShell(DM dm, Vec l, InsertMode mode, Vec g)

## Input Parameters

- dm - `DMSHELL`

- l - local vector

- mode - `InsertMode`

- g - global vector

## See Also

`DM`, `DMSHELL`, `DMLocalToGlobalBeginDefaultShell()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages